<?php











namespace Amazon\Affiliate;







/**



 * Plugin Assets handler class



 *



 * @package Amazon\Affiliate



 */



class Assets {







    /**



     * Assets constructor.



     */



    function __construct() {



        add_action( 'admin_enqueue_scripts', array( $this, 'backend_register_assets' ) );



    }







    /**



     * Call backend js and css.



     */



    public function backend_register_assets( $screen ) {



        wp_enqueue_style( 'ams-amazon-backend', AMS_PLUGIN_URL . 'assets/css/backend.css', false, AMS_VERSION );



        wp_enqueue_script( 'ams-amazon-backend', AMS_PLUGIN_URL . 'assets/js/backend.js', array( 'jquery' ), AMS_VERSION,true );







        if ( strtolower( 'toplevel_page_wc-amazon-affiliate' ) == strtolower( $screen ) ) {



            $ams_dashboard = true;



        } else {



            $ams_dashboard = false;



        }







        $store_country = $this->store_country();







        wp_localize_script( 'ams-amazon-backend', 'amsbackend', array(



            'ajax_url'                 => admin_url( 'admin-ajax.php' ),



            'check_nonce'              => wp_create_nonce( 'ams_product_import' ),



            'ams_test_api'             => wp_create_nonce( 'ams_test_api' ),



            'nonce_ams_dashboard_info' => wp_create_nonce( 'ams_dashboard_info' ),



            'nonce_ams_de_activated'   => wp_create_nonce( 'ams_de_activated' ),



            'nonce_ams_without_api'    => wp_create_nonce( 'ams_without_api' ),



            'ams_store_country'        => $store_country,



            'ams_product_per_page'     => get_option( 'item_page' ),



            'ams_dashboard'            => $ams_dashboard,



            'ams_assets'               => AMS_PLUGIN_URL . 'assets/',



            'ams_t_import'             => esc_html__( 'Importing', 'ams-wc-amazon' ),



            'ams_t_loading'            => esc_html__( 'Loading...', 'ams-wc-amazon' ),



            'ams_t_deactivated'        => esc_html__( 'Deactivated', 'ams-wc-amazon' ),

           'ams_mass_product_importing'        => esc_html__( 'Product import has started.', 'ams-wc-amazon' ),

            // 'ams_mass_product_importing'        => esc_html__( 'Product import request sent successfully. You have to wait for the import to Completed', 'ams-wc-amazon' ),



            'nonce_ams_import_product_url' => wp_create_nonce( 'ams_import_product_url' ),

            'ams_product_availability' =>wp_create_nonce( 'ams_product_availability' ),



        ) );



    }







    public function store_country() {



        if( get_option( 'ams_amazon_country' ) == 'com' ) {



            $store_country = "https://ws-na.amazon-adsystem.com/widgets/q?callback=search_callback&TemplateId=PubStudio&MarketPlace=US&Operation=ItemSearch&InstanceId=0&dataType=jsonp&ServiceVersion=20070822";



        } else if( get_option( 'ams_amazon_country' ) == 'co.uk' ) {



            $store_country = "https://ws-eu.amazon-adsystem.com/widgets/q?callback=search_callback&MarketPlace=GB&Operation=GetResults&InstanceId=0&dataType=jsonp&TemplateId=MobileSearchResults&ServiceVersion=20070822";



        } else if( get_option( 'ams_amazon_country' ) == 'de' ) {



            $store_country = "https://ws-eu.amazon-adsystem.com/widgets/q?callback=search_callback&MarketPlace=DE&Operation=GetResults&InstanceId=0&dataType=jsonp&TemplateId=MobileSearchResults&ServiceVersion=20070822";



        } else if( get_option( 'ams_amazon_country' ) == 'fr' ) {



            $store_country = "https://ws-eu.amazon-adsystem.com/widgets/q?callback=search_callback&MarketPlace=FR&Operation=GetResults&InstanceId=0&dataType=jsonp&TemplateId=MobileSearchResults&ServiceVersion=20070822";



        } else if( get_option( 'ams_amazon_country' ) == 'jp' ) {



            $store_country = "https://ws-fe.amazon-adsystem.com/widgets/q?callback=search_callback&MarketPlace=JP&Operation=GetResults&InstanceId=0&dataType=jsonp&TemplateId=MobileSearchResults&ServiceVersion=20070822";



        } else if( get_option( 'ams_amazon_country' ) == 'ca' ) {



            $store_country = "https://ws-na.amazon-adsystem.com/widgets/q?callback=search_callback&TemplateId=PubStudio&MarketPlace=CA&Operation=ItemSearch&InstanceId=0&dataType=jsonp&ServiceVersion=20070822";



        } else {



            $store_country = "https://ws-na.amazon-adsystem.com/widgets/q?callback=search_callback&TemplateId=PubStudio&MarketPlace=US&Operation=ItemSearch&InstanceId=0&dataType=jsonp&ServiceVersion=20070822";



        }







        return $store_country;



    }







}